# Class ObjectUtil

对象工具

#### Hierarchy

- ObjectUtil

- Defined in assets/core/utils/ObjectUtil.ts:9

#####
Index

### Constructors

constructor

### Methods

copy
deepCopy
isObject

## Constructors

### constructor

- new ObjectUtil(): ObjectUtil

- #### Returns ObjectUtil

## Methods

### `Static` copy

- copy(target: object): object

- 拷贝对象

  #### Parameters

  - ##### target: object

    目标

  #### Returns object

  - Defined in assets/core/utils/ObjectUtil.ts:60

### `Static` deepCopy

- deepCopy(target: any): any

- 深拷贝

  #### Parameters

  - ##### target: any

    目标

  #### Returns any

  - Defined in assets/core/utils/ObjectUtil.ts:22

### `Static` isObject

- isObject(value: any): boolean

- 判断指定的值是否为对象

  #### Parameters

  - ##### value: any

    值

  #### Returns boolean

  - Defined in assets/core/utils/ObjectUtil.ts:14

Generated using TypeDoc